<?php

declare(strict_types=1);

namespace Peru\Sunat;

use Peru\Http\CurlClient;
use Peru\Services\DniInterface;
use Peru\Sunat\Parser\HtmlRecaptchaParser;

class DniFactory
{
    public function create(): DniInterface
    {
        return new Ruc(new CurlClient(), new RucParser(new HtmlRecaptchaParser()));
    }
}
